Subject: bug#61712: 30.0.50; Want way to generate VC log for arbitrary list of files

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Feb 2023 15:00:42 +0200

> Resent-To: [email-masked]
> Cc: [email-masked]
> From: Sean Whitton <[email-masked]>
> Date: Wed, 22 Feb 2023 15:19:39 -0700
> 
> On Wed 22 Feb 2023 at 09:07PM +02, Juri Linkov wrote:
> 
> >> Yesterday I wanted to review changes to some documentation files in a
> >> repository; roughly, `git log -- dgit.1 *.pod`.  I would have preferred
> >> to have the result in a *vc-log* buffer, but I don't believe we have a
> >> command to do this.  'C-x v !' can't do it.
> >>
> >> If there were changes to each of the files, they would have appeared in
> >> *vc-dir*, and I could have used the new vc-dir-mark-by-regexp, and then
> >> vc-print-log would have done the right thing.
> >>
> >> So, I wonder if we could have a way to insert up-to-date files into
> >> *vc-dir*, so that they could be used to select an arbitrary VC fileset?
> >
> > It's easy to do this in the Dired buffer by marking the required files.
> > I'm doing this all the time since Dired supports all vc commands.
> 
> Oh, I didn't know dired could do this.  My apologies.

How could you know, when this important feature was almost completely
undocumented?  Apart of a single NEWS entry, which is also quite
misleading in what it does NOT say, there was no mention of this
anywhere in our manuals, until now.

We should be able to do better with documenting such significant user
features.

Btw, shouldn't we show the VC information in the mode line of a Dired
buffer that displays a directory under VCS?  Since all VC commands now
work in such a buffer, this is very similar to showing a file under
VCS, so the omission doesn't sound right to me.